package de.stefanfrings.demo;

import java.io.IOException;
import java.util.List;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

@ApplicationScoped
public class BusinessLogic {
    
    //@PersistenceUnit(unitName = "demoPU")
    private static final EntityManagerFactory emFactory = Persistence.createEntityManagerFactory("demoPU");

    public List<Friend> listAllFriends()
    {
        EntityManager entityManager=emFactory.createEntityManager();
        entityManager.getTransaction().begin();
        List<Friend> result=entityManager.createQuery("from Friend f").getResultList();
        return result;
    }
    
    @Inject
    private HttpInterface httpInterface;
    
    public String getStefansHomepage()
    {
        try {
            return httpInterface.readFromUrl("http://stefanfrings.de/index.html");
        } catch (IOException e) {
            return "error "+e.toString();
        }
    }
}
